WIPHY_NEW(9)

NAME
wiphy_new - create a new wiphy for use with cfg80211

SYNOPSIS

struct wiphy * wiphy_new(const struct cfg80211_ops * ops, int sizeof_priv);

ARGUMENTS

ops
    The configuration operations for this device

sizeof_priv
    The size of the private area to allocate

DESCRIPTION

Create a new wiphy and associate the given operations with it. sizeof_priv bytes are allocated for private use.

RETURN

A pointer to the new wiphy. This pointer must be assigned to each netdev's ieee80211_ptr for proper operation.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT